gnome-desktop (44.5-1ubuntu1) resolute; urgency=medium

  * d/p: Add gnome-qr library to generate QR codes
  * d/copyright: Ad qrcodegen subproject license
  * debian: Add Packages for gnome-qr-4 and gnome-qr-gtk-4 libraries
  * debian/salsa-ci: Add ubuntu settings
  * d/tests: Add autopkgtest for libgnome-qr-4
  * d/tests: Add autopkgtest for libgnome-qr-gtk-4

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 09 Feb 2026 05:39:42 +0100

gnome-desktop (44.5-1) unstable; urgency=medium

  * New upstream release
  * d/p: Refresh

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 09 Feb 2026 02:12:02 +0100

gnome-desktop (44.4-2) unstable; urgency=medium

  * d/p: Add upstream patches including memory and tests fixes
  * d/p: Hide private symbols from public libraries.
  * d/libgnome-desktop-*.symbols: Drop a private symbol that leaked into API.
    It was not exposed by public headers, so not something that was meant to
    be used anyways.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sun, 08 Feb 2026 17:06:39 +0100

gnome-desktop (44.4-1) unstable; urgency=medium

  * New upstream release
  * Remove obsolete Rules-Requires-Root: no field

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 04 Sep 2025 14:19:58 -0400

gnome-desktop (44.3-4) unstable; urgency=medium

  * Team upload
  * Build-depend on gir1.2-*-dev and gobject-introspection.
    libgirepository1.0-dev is not Multi-Arch-friendly and should be
    phased out.
  * Explicitly Build-Depend on required gir1.2-*-dev packages.
    In practice these are provided by the lib*-dev build-dependencies,
    but listing them explicitly is an enabler for being able to implement
    the <!nogir> build-profile in those packages.
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Aug 2025 10:56:28 +0100

gnome-desktop (44.3-3) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Thu, 12 Jun 2025 21:10:40 +0100

gnome-desktop (44.3-2) experimental; urgency=medium

  * Team upload
  * d/p/debian/Revert-default-IM-for-zh_HK-to-ibus-table-cangjie5.patch:
    Revert default IM for zh_HK to ibus-table-cangjie5 for now.
    I've asked on #1107525 whether we should follow upstream by moving to
    the ibus-cangjie package as the default input method for
    Chinese (Hong Kong), or keep Debian 12 behaviour by using the
    ibus-table-cangjie5 package. Until we have a recommendation from
    Chinese speakers, it seems like the conservative option is to keep
    the Debian 12 behaviour.

 -- Simon McVittie <smcv@debian.org>  Mon, 09 Jun 2025 18:53:43 +0100

gnome-desktop (44.3-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - zh_HK, Chinese (Hong Kong) now defaults to ibus-cangjie instead of
      ibus-table-cangjie5, reverting a change made before bookworm
      (see #1107525)
    - format times with U+003A COLON instead of U+2236 RATIO, avoiding display
      issues in right-to-left languages and in fonts that don't contain U+2236
    - only build GObject-Introspection data if requested
      (unnecessary but harmless in Debian)
    - make build system compatible with being used from a subproject
      (unnecessary but harmless in Debian)
    - silence a false-positive compiler warning with -Wmaybe-uninitialized
    - translation updates
    - CI/release-management changes (not relevant to Debian)
  * d/p/gnome-bg-only-parse-XML-files-as-slideshows.patch:
    Drop patch, included in the new upstream release
  * d/patches: Refresh remaining patches (no functional changes)
  * d/copyright: Remove details of tests/wallclock-reftest, no longer included

 -- Simon McVittie <smcv@debian.org>  Sun, 08 Jun 2025 18:02:58 +0100

gnome-desktop (44.1-2) unstable; urgency=medium

  * Team upload
  * d/p/gnome-bg-only-parse-XML-files-as-slideshows.patch:
    Add patch from upstream to improve performance of
    gnome-control-center's Background panel, by not attempting to parse
    binary image files as XML
  * d/upstream/metadata: Add Archive and Security-Contact
  * d/control: Add ${gir:Depends}, ${gir:Provides} to all -dev packages
  * d/control: Explicitly build-depend on pkgconf
  * d/control: Wrap a long line
  * d/control: Use dpkg build API v1
  * d/control: Remove transitional libgnome-desktop-3-dev-bin package.
    This was already an empty transitional package in Debian 12.
  * d/control: Remove Gunnar Hjalmarsson from Uploaders, with thanks for
    previous work on this package (Closes: #1069560)
  * d/tests: Use pkgconf in preference to pkg-config
  * d/tests: Rely on $AUTOPKGTEST_TMP
  * d/tests: Use a cross gcc and pkgconf if appropriate
  * Remove unused lintian overrides left over from the t64 transition.
    lintian now recognises t64 as a valid suffix to be applied to
    systematically-named shared library packages.

 -- Simon McVittie <smcv@debian.org>  Mon, 20 Jan 2025 11:47:32 +0000

gnome-desktop (44.1-1) unstable; urgency=medium

  * New upstream release
    - Fix compatibility with muslc (!158)
    - Fix GNOME_DESKTOP_IS_THUMBNAIL_FACTORY (!160)
    - Update default Indic input methods (!163)
    - Use ibus-chewing as the default input source for zh_TW (!164)
  * Refresh patches
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 15:41:42 -0400

gnome-desktop (44.0-5) unstable; urgency=medium

  * Build-depend on dpkg-dev (>= 1.22.5) (Closes: #1065288)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 02 Mar 2024 17:58:49 -0500

gnome-desktop (44.0-4) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Stop generating from a template
  * Remove version constraints unnecessary since bullseye (oldstable)

  [ Jeremy Bícha ]
  * Release to unstable (Closes: #1062450)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Feb 2024 07:44:45 -0500

gnome-desktop (44.0-2.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Lukas Märdian <slyon@debian.org>  Thu, 01 Feb 2024 15:19:42 +0000

gnome-desktop (44.0-2) unstable; urgency=medium

  * Update standards version to 4.6.2, no changes needed
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jul 2023 13:06:30 -0400

gnome-desktop (44.0-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release

  [ Simon McVittie ]
  * Merge packaging changes from unstable
    - Default to mozc-jp where possible (Closes: #1029821)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 08:35:20 -0400

gnome-desktop (44~beta-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Feb 2023 07:50:24 -0500

gnome-desktop (43.2-2) unstable; urgency=medium

  * Team upload
  * d/control.in: Fix Vcs-Git and Vcs-Browser syntax
  * d/p/Use-mozc-as-the-default-input-source-for-Japanese.patch:
    Change the default input method for Japanese to mozc-jp, matching
    tasksel.
    mozc is pulled in as the most-preferred input method by
    task-japanese-desktop (uim-mozc) and task-japanese-gnome-desktop
    (ibus-mozc) on the architectures where it is available, notably
    x86 and ARM. There seems to be consensus among Japanese-speaking
    Debian and Ubuntu users that mozc is the best default input method,
    so make the default in gnome-initial-setup consistent with that.
    Thanks to YOSHINO Yoshihito (Closes: #1029821)
  * d/p/Fall-back-to-ibus-anthy-if-ibus-mozc-jp-is-unavailable.patch:
    Fall back to ibus-anthy if ibus-mozc isn't available. According
    to discussion on #1029821, mozc only supports little-endian CPU
    architectures (for example i386 and arm64) and does not support
    big-endian CPU architectures (for example powerpc and s390x), so we
    need to be prepared to fall back.
  * d/libgnome-desktop-doc.lintian-overrides: Remove unused override.
    This is unnecessary now that #970275 was fixed.

 -- Simon McVittie <smcv@debian.org>  Sun, 05 Mar 2023 18:11:37 +0000

gnome-desktop (43.2-1) unstable; urgency=medium

  * New upstream release
  * Branch for bookworm

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Feb 2023 11:15:51 -0500

gnome-desktop (43.1-1) unstable; urgency=medium

  * New upstream release
    - Fix gnome_parse_locale returning NULL for the C locale
    - Use more sensible default keyboard for es_US
    - Delete failed thumbnail if successfully saved thumbnail
    - skip territory if no translation available

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 23 Jan 2023 11:19:51 -0500

gnome-desktop (43-2) unstable; urgency=medium

  * Team upload
  * Require a dh-sequence-gnome that generates gnome:NextVersion correctly.
    Older versions expected the version number to be like 43.0 or 43~rc,
    but not a plain integer like 43, producing an uninstallable package
    with a dependency on gnome-desktop3-data (<< 1).
  * Standards-Version: 4.6.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 20 Sep 2022 09:56:51 +0100

gnome-desktop (43-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 10:19:38 -0400

gnome-desktop (43~rc-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 07 Sep 2022 08:37:43 -0400

gnome-desktop (43~alpha-3) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 16 Aug 2022 15:31:03 -0400

gnome-desktop (43~alpha-2) experimental; urgency=medium

  * Update debian/copyright. Thanks to Thorsten Alteholz

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 27 Jul 2022 08:07:30 -0400

gnome-desktop (43~alpha-1) experimental; urgency=medium

  * New upstream release
  * debian/rules: Drop obsolete build options
  * Update library names to match soname bump
  * debian/*.symbols: Add new symbols
  * /usr/share/gnome/gnome-version.xml is no longer provided

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 17 Jul 2022 14:01:13 +0200

gnome-desktop (42.3-1) unstable; urgency=medium

  * New upstream release (LP: #1981602)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 13 Jul 2022 17:28:09 +0200

gnome-desktop (42.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Thu, 02 Jun 2022 09:54:13 -0300

gnome-desktop (42.1-1) unstable; urgency=medium

  * New upstream release (LP: #1970660)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 27 Apr 2022 15:52:23 -0400

gnome-desktop (42.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1970660)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 28 Apr 2022 08:33:12 -0400

gnome-desktop (42.0-2) unstable; urgency=medium

  * Team upload
  * gir1.2-gnomedesktop-4.0 Breaks gnome-shell (<< 42~alpha).
    Earlier versions of gnome-shell imported GnomeBluetooth without
    specifying a version number, and expected to get API version 3.0.
    Similar to bug #1008926.

 -- Simon McVittie <smcv@debian.org>  Mon, 04 Apr 2022 17:04:06 +0100

gnome-desktop (42.0-1ubuntu1) jammy; urgency=medium

  * Merge with Debian, remaining changes:
    - Add 2 patches to adjust background color detection for Unity
      + tweak_color_computation.patch
      + 04_compute_average_color.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 08:16:17 -0400

gnome-desktop (42.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 07:59:24 -0400

gnome-desktop (42~beta-1) unstable; urgency=medium

  * New upstream release
  * debian/*symbols: Add new symbols
  * Add transitional libgnome-desktop-3-dev-bin package for smoother updates
  * Release to unstable (Closes: #1006037)

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Sat, 19 Feb 2022 10:37:12 -0500

gnome-desktop (42~beta-0ubuntu1) jammy; urgency=medium

  * New upstream release
  * Add transitional libgnome-desktop-3-dev-bin package for smoother updates

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Sat, 19 Feb 2022 06:47:23 -0500

gnome-desktop (42~alpha.1-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * Rename source package to gnome-desktop
  * New upstream release
  * Build-Depend on gtk4
  * debian/control.in: Drop obsolete libxml2-dev dependency.
    It's not required for the build and it's not in the pkgconfig file

  [ Simon McVittie ]
  * Remove compatibility with pre-bullseye packaging of libgdk-pixbuf
  * d/control.in: Improve package descriptions.
    This might originally have been a library to load .desktop files, but
    it has changed a lot since then.
  * Package each shared library separately.
    According to the upstream commit history, the long-term plan is for
    GnomeBG and GnomeRR to become independent components, and it will be
    difficult to package that correctly if we initially bundled these
    libraries into one package.
  * Move manual tests into gnome-desktop-3-tests.
    We don't really need a separate libgnome-desktop-3-dev-bin package
    for this.
  * Move the API documentation to its own package while we're going
    through NEW anyway
  * Add symlinks to make HTML documentation visible in /usr/share/doc.
    The files are not physically in /usr/share/doc, because the way gtk-doc
    processes cross-references means they are technically a programmatic
    interface.
  * Add a doc-base file for the API reference
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Fri, 11 Feb 2022 12:18:06 +0000

gnome-desktop3 (41.3-1ubuntu1) jammy; urgency=medium

  * Merge with Debian, remaining changes:
    - Add 2 patches to adjust background color detection for Unity
      + tweak_color_computation.patch
      + 04_compute_average_color.patch
    - Build-Depend on language-pack-gnome-he for build tests

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 03 Feb 2022 13:13:37 -0500

gnome-desktop3 (41.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 01 Feb 2022 11:01:09 -0500

gnome-desktop3 (41.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Wed, 22 Dec 2021 10:58:58 +0000

gnome-desktop3 (41.1-1ubuntu1) jammy; urgency=medium

  * Merge with Debian, remaining changes:
    - Add 2 patches to adjust background color detection for Unity
      + tweak_color_computation.patch
      + 04_compute_average_color.patch
    - Build-Depend on language-pack-gnome-he for build tests

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 19 Nov 2021 03:48:08 +0100

gnome-desktop3 (41.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/rules: Fix spelling of desktop_docs Meson option.
    This was accepted with a warning under Meson 0.59, but causes FTBFS
    under Meson 0.60. (Closes: #998584)

 -- Simon McVittie <smcv@debian.org>  Fri, 05 Nov 2021 10:58:32 +0000

gnome-desktop3 (41.0-1) unstable; urgency=medium

  * Build-depend on libgl-dev instead of transitional libgl1-mesa-dev
  * New upstream release
  * Add Lintian override for #970275
  * d/upstream/metadata: Add
  * Standards-Version: 4.6.0 (no changes required)
  * Don't make all installed-tests files executable
  * Make the library depend on iso-codes.
    The iso-codes XML is read at runtime, as demonstrated by autopkgtest
    failures if this dependency is not added.
  * Recommend locales | locales-all, and depend on them for the tests
  * d/p/languages-Look-at-LOCPATH-before-compile-time-LIBLOCALEDI.patch:
    Add patch to make locale APIs follow $LOCPATH.
    This is necessary to make the autopkgtest pass on a system with no
    non-fallback locales configured, without having to pull in locales-all.

 -- Simon McVittie <smcv@debian.org>  Thu, 14 Oct 2021 00:48:12 +0100

gnome-desktop3 (40.4-2ubuntu1) impish; urgency=medium

  * Merge with Debian, remaining changes:
    - Add 2 patches to adjust background color detection for Unity
      + tweak_color_computation.patch
      + 04_compute_average_color.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 12 Sep 2021 10:01:31 -0400

gnome-desktop3 (40.4-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable. This is not *technically* involved in the
    transition of GNOME core components from version 3.38 to 40, but the
    version number of libgnome-desktop is often used as a proxy for the
    version of GNOME as a whole, so it seems less confusing for everyone
    if it reaches testing at around the same time as gnome-shell.

 -- Simon McVittie <smcv@debian.org>  Sat, 11 Sep 2021 21:26:23 +0100

gnome-desktop3 (40.4-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * debian/rules: Set translation domain for Ubuntu

  [ Marco Trevisan (Treviño) ]
  * debian/control: Use versioned dh-sequence-gnome instead of duplicating

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 28 Aug 2021 17:13:53 -0400

gnome-desktop3 (40.2-2) experimental; urgency=medium

  * force usage of gnome-pkg-tools (>= 0.22) to ensure gnome:NextVersion gets
    generated properly

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 10 Jul 2021 21:13:45 +0200

gnome-desktop3 (40.2-1ubuntu1) impish; urgency=medium

  * Merge with debian, remaining changes:
    - Add 04_compute_average_color.patch: Compute the avergage color in
      gnome-desktop itself, not in unity to fix some races (LP #963140)
    - Add tweak_color_computation.patch, Patch from Gord, no patch header,
      no bug link.
    - debian/control.in: Build-Depend on language-pack-gnome-he for build tests
    - debian/rules:
      + Specify gettext domain for dh_translations.
  * d/p/ubuntu_language_list_from_SUPPORTED.patch: Drop it's unused now.
    Drop the ubuntu API to expose gnome_get_all_languages() which is unused
    in the archive and was just needed till gnome-control-center 1:3.32.1-1ubuntu4
    so not really something we should care about breaking.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 22 Jun 2021 20:50:06 +0200

gnome-desktop3 (40.2-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
  * debian/patches: Drop, all applied upstream
  * debian/libgnome-desktop-3-19.docs: Use new README.md file
  * debian/rules: Do not exclude removed upstream ChangeLog
  * debian/rules: Remove redundant --as-needed
  * debian/rules: Use DPKG_GENSYMBOLS_CHECK_LEVEL instead of overriding
    dh_makeshlibs
  * debian: Use debhelper 13 features. As per this we can drop explicit
    --fail-missing and use meson test features.
  * debian: Move tests and debug utilities to new packages. Upstream is now
    installing more tests, and these are not something we expect to have in a
    library package. So, let's add two new packages for containing both the
    compiled and the installed-tests metadata so that we can reduce the
    customizations. As per this we can in fact use /usr/libexec for test
    programs and avoid using a custom versioned path.
  * debian/*.install: Use debhelper-13 variable substitutions

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 21 Jun 2021 18:31:01 +0100

gnome-desktop3 (3.38.5-3) unstable; urgency=medium

  * Team upload
  * d/p/xkbinfo-only-insert-new-layouts-skip-over-duplicate-ones.patch:
    Fix segfault when adding input sources while show-all-sources is
    "true" (closes: #989045).

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Sun, 04 Jul 2021 15:40:52 +0200

gnome-desktop3 (3.38.5-2) unstable; urgency=medium

  * Team upload

  [ Gunnar Hjalmarsson ]
  * d/p/xkbinfo-Update-iso639Ids-correctly-in-evdev.patch:
    Don't list all keyboard layouts under "Other" in
    gnome-control-center's list of input sources
    (Closes: #987603, LP: #1925792)

  [ Simon McVittie ]
  * Improve patch metadata

 -- Simon McVittie <smcv@debian.org>  Tue, 04 May 2021 20:42:48 +0100

gnome-desktop3 (3.38.5-1ubuntu3) impish; urgency=medium

  [ David Mohammed ]
  * d/p/git_revert_draw_background.patch:
    - Drop patch since gnome-settings-schemas v40 has removed the
      draw_background key and nothing uses it in the archive nowadays,
      so there's no need to rename the package nor add breaks (as it's latest
      customer was nautilus 3.26, and so bionic) (LP: #1931901)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 17 Jun 2021 23:56:29 +0200

gnome-desktop3 (3.38.5-1ubuntu2) impish; urgency=medium

  * d/p/xkbinfo-Update-iso639Ids-correctly-in-evdev.patch:
    - Fix issue in g-c-c GUI for adding input source (LP: #1925792)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 28 Apr 2021 21:46:04 +0200

gnome-desktop3 (3.38.5-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian. Remaining changes
    - Add 04_compute_average_color.patch: Compute the avergage color in
      gnome-desktop itself, not in unity to fix some races (LP #963140)
    - Add tweak_color_computation.patch, Patch from Gord, no patch header,
      no bug link.
    - Add git_revert_draw_background.patch
    - Add ubuntu_language_list_from_SUPPORTED.patch,
      Add API to get list of available languages from SUPPORTED file.
      To be used by gnome 3.8 region panel language installation.
    - debian/control.in: Build-Depend on language-pack-gnome-he for build tests
    - debian/libgnome-desktop-3-18.symbols:
      + Add symbols included in Ubuntu patches

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 23 Mar 2021 09:03:45 +0100

gnome-desktop3 (3.38.5-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 23 Mar 2021 08:47:36 +0100

gnome-desktop3 (3.38.4-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 16 Feb 2021 20:49:25 +0100

gnome-desktop3 (3.38.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Translation updates

 -- Simon McVittie <smcv@debian.org>  Thu, 14 Jan 2021 20:40:11 +0000

gnome-desktop3 (3.38.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Translation updates
  * Drop patch for Hebrew translation, applied upstream
  * Preferentially build-depend on libgdk-pixbuf-2.0-dev.
    We don't need the deprecated Xlib integration that is also pulled in
    by the older libgdk-pixbuf2.0-dev package (see #974870).
  * Standards-Version: 4.5.1 (no changes required)
  * Backport support for user-specific XKB configuration.
    This uses the new libxkbregistry to load XKB configuration, instead of
    parsing it directly, which means we can have per-user keyboard layouts
    in Wayland sessions (analogous to Xmodmap). (Closes: #974056)

 -- Simon McVittie <smcv@debian.org>  Thu, 26 Nov 2020 10:51:18 +0000

gnome-desktop3 (3.38.1-2) unstable; urgency=medium

  * Team upload
  * run-with-locales: Use UTF-8 for *.utf8 locales
  * d/run-with-locales: Move to d/tests/
    This improves tab-completion for d/rules.
  * d/p/Update-Hebrew-translation.patch:
    Update Hebrew translation from upstream.
    In particular this fixes an autopkgtest failure where U+2236 RATIO was
    wrongly translated to U+003A COLON (Closes: #974086), and also fixes
    the hour and minute in the GNOME Shell clock being reversed in the
    Hebrew locale.

 -- Simon McVittie <smcv@debian.org>  Wed, 11 Nov 2020 11:40:18 +0000

gnome-desktop3 (3.38.1-1ubuntu1) groovy; urgency=medium

  * Merge with Debian. Remaining changes
    - Add 04_compute_average_color.patch: Compute the avergage color in
      gnome-desktop itself, not in unity to fix some races (LP #963140)
    - Add tweak_color_computation.patch, Patch from Gord, no patch header,
      no bug link.
    - Add git_revert_draw_background.patch
    - Add ubuntu_language_list_from_SUPPORTED.patch,
      Add API to get list of available languages from SUPPORTED file.
      To be used by gnome 3.8 region panel language installation.
    - debian/control.in: Build-Depend on language-pack-gnome-he for build tests
    - debian/libgnome-desktop-3-18.symbols:
      + Add symbols included in Ubuntu patches

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 07 Oct 2020 11:39:25 +0200

gnome-desktop3 (3.38.1-1) unstable; urgency=medium

  * New upstream release
  * d/p/gnome_bg_slide_show_get_current_slide-add-NULL-check.patch:
    - remove fix included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 07 Oct 2020 10:57:25 +0200

gnome-desktop3 (3.38.0-2) unstable; urgency=medium

  * Team upload
  * d/p/riscv64_seccomp.patch:
    Update patch metadata
  * d/p/gnome_bg_slide_show_get_current_slide-add-NULL-check.patch:
    Add patch from upstream fixing a crash with malformed background XML
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Fri, 25 Sep 2020 10:14:56 +0100

gnome-desktop3 (3.38.0-1) experimental; urgency=medium

  * Team upload
  * New upstream stable release
    - Translation updates
  * Revert "d/watch: Watch for development versions"
  * Continue to upload to experimental for now, so we can batch together
    this and other core GNOME packages as part of #969321 when mozjs78
    has passed through NEW

 -- Simon McVittie <smcv@debian.org>  Mon, 14 Sep 2020 11:43:31 +0100

gnome-desktop3 (3.37.91-1) experimental; urgency=medium

  * Team upload
  * d/watch: Watch for development versions
  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Thu, 03 Sep 2020 10:00:56 +0100

gnome-desktop3 (3.37.90.1-2) experimental; urgency=medium

  * Team upload
  * d/p/thumbnail-Mount-etc-alternatives-if-it-exists.patch:
    Add patch to give thumbnailers access to /etc/alternatives.
    In particular this fixes thumbnailers that use libblas.so.3, such as
    some Totem plugins. (Closes: #943434)
  * d/p/Fix-argument-order-of-clone-for-s390x-in-seccomp-filter.patch
    Add patch to fix seccomp filter on s390x.
    Now you too can run sandboxed thumbnailers on your IBM mainframe, if
    that's what you're into.
    Thanks to Julian Andres Klode (Closes: #964541, LP: #1886814)
  * Fix installed-tests:
    - Generate ja_JP locale for tests
    - d/tests/installed-tests: Fix path to test installation directory
    - d/tests/installed-tests: Don't spuriously succeed if no tests are found
    - Disable AT-SPI.
      It isn't installed, and our failure to enable it causes a warning that
      makes the test fail.

 -- Simon McVittie <smcv@debian.org>  Tue, 11 Aug 2020 18:08:26 +0100

gnome-desktop3 (3.37.90.1-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - don't Build-Depends on libx11-dev anymore
  * debian/libgnome-desktop-3-19.symbols:
    - updated for the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 07 Aug 2020 12:15:06 +0200

gnome-desktop3 (3.36.4-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/tests-Don-t-run-at-build-time.patch:
    - removed, included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 27 Jul 2020 15:32:07 +0200

gnome-desktop3 (3.36.3.1-2) unstable; urgency=medium

  * Team upload
  * Generate required locales before running tests.
    This avoids needing locales-all; if only locales is installed, we can
    generate the en_US and he_IL locales on-demand.
  * d/p/riscv64_seccomp.patch: Add metadata
  * d/p/tests-Don-t-run-at-build-time.patch:
    Fix FTBFS by not running tests at build-time.
    The tests assume that this version of libgnome-desktop has already been
    installed system-wide, so they are appropriate to run as autopkgtests
    but not at build-time. (Closes: #963384)

 -- Simon McVittie <smcv@debian.org>  Tue, 23 Jun 2020 10:32:49 +0100

gnome-desktop3 (3.36.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 18 Jun 2020 21:58:16 +0200

gnome-desktop3 (3.36.2-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 30 Apr 2020 12:17:26 +0200

gnome-desktop3 (3.36.1-3) unstable; urgency=medium

  * Team upload
  * Add a lockstep dependency on gnome-desktop3-data and Breaks on older
    SONAMEs of libgnome-desktop3.
    This should prevent updated packages from migrating to testing or
    being installable until everything has been rebuilt, avoiding GNOME
    Shell crashes when two SONAMEs get pulled into the same process by
    indirect dependencies, for example libgnome-desktop-3-18 and
    libgnome-desktop-3-19 in the GNOME 3.36 transition.
    (Closes: #956910, #956885, #956870, #956894, #956896, #956866)
  * Standards-Version: 4.5.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Thu, 16 Apr 2020 18:59:16 +0100

gnome-desktop3 (3.36.1-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable (starts transition: #954422)

 -- Simon McVittie <smcv@debian.org>  Fri, 10 Apr 2020 14:40:07 +0100

gnome-desktop3 (3.36.1-1ubuntu1) focal; urgency=medium

  * New stable version

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 10 Apr 2020 17:29:07 +0200

gnome-desktop3 (3.36.1-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release

  [ Laurent Bigonville ]
  * (Build-)depends on libseccomp-dev on linux-riscv64 now that's available
  * Disable at-spi2 integration for the tests and fix the nocheck build-profile

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 31 Mar 2020 19:43:50 -0400

gnome-desktop3 (3.36.0-1ubuntu1) focal; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add 04_compute_average_color.patch: Compute the avergage color in
      gnome-desktop itself, not in unity to fix some races (LP #963140)
    - Add tweak_color_computation.patch, Patch from Gord, no patch header,
      no bug link.
    - Add git_revert_draw_background.patch
    - Add ubuntu_language_list_from_SUPPORTED.patch,
      Add API to get list of available languages from SUPPORTED file.
      To be used by gnome 3.8 region panel language installation.
    - debian/control.in: Build-Depend on language-pack-gnome-he for build tests
    - debian/libgnome-desktop-3-18.symbols:
      + Add symbols included in Ubuntu patches
    - Update Vcs fields and debian/gbp.conf for Ubuntu

 -- Iain Lane <iain.lane@canonical.com>  Mon, 16 Mar 2020 11:31:46 +0000

gnome-desktop3 (3.36.0-1) experimental; urgency=medium

  * New upstream translation release

 -- Iain Lane <laney@debian.org>  Mon, 16 Mar 2020 11:06:21 +0000

gnome-desktop3 (3.35.91-1ubuntu1) focal; urgency=medium

  * Updated to the current version, merging from Debian
  * debian/patches/gnomebg_hidpi_image.patch:
    - removed, the api its patches got deprecated

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 24 Feb 2020 13:50:23 +0100

gnome-desktop3 (3.35.91-1) experimental; urgency=medium

  * New upstream release
  * Updated for the soname 18 -> 19 change
  * debian/libgnome-desktop-3-19.symbols: refreshed

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 24 Feb 2020 13:27:30 +0100

gnome-desktop3 (3.34.2-2) unstable; urgency=medium

  * debian/control.in: Add libsystemd-dev to the dependencies of the
    libgnome-desktop-3-dev package as well

 -- Laurent Bigonville <bigon@debian.org>  Mon, 09 Dec 2019 13:12:57 +0100

gnome-desktop3 (3.34.2-1) unstable; urgency=medium

  * New upstream release
  * Add libsystemd-dev to the build-dependencies, this is used by the helper
    to create transient systemd scopes
  * debain/control.in: Bump Standards-Version to 4.4.1 (no further changes)
  * d/p/seccomp-is-not-supported-ATM-on-riscv64-architecture-blac.patch:
    seccomp is ATM not available on riscv64, let's blacklist it for now

 -- Laurent Bigonville <bigon@debian.org>  Sun, 08 Dec 2019 21:53:09 +0100

gnome-desktop3 (3.34.1-2) unstable; urgency=medium

  * debian/control.in: Do not make libgnome-desktop-3-dev depend against
    libudev-dev on non-linux architectures, this is not needed
  * debian/control.in: Do not (build-)depend against libseccomp-dev on
    riscv64, seccomp is not supported on this architecture ATM
  * debian/control.in: Add at-spi2-core to the build-dependencies, this seems
    to be needed for the tests on hurd-i386, that should fix the FTBFS

 -- Laurent Bigonville <bigon@debian.org>  Wed, 04 Dec 2019 16:28:34 +0100

gnome-desktop3 (3.34.1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 08 Oct 2019 16:47:08 +0200

gnome-desktop3 (3.34.0-3) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * Bump gir1.2-gnomedesktop-3.0's Breaks against gnome-shell to << 3.34.
    See a34fcb74. (Closes: #941782)
  * Drop obsolete Breaks against libmutter-2-0.
    libmutter-2-0 was part of the Buster development release
    but was dropped before Buster was released.

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Oct 2019 10:50:58 +0100

gnome-desktop3 (3.34.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 30 Sep 2019 13:29:10 +0200

gnome-desktop3 (3.34.0-1) experimental; urgency=medium

  * New upstream release
    - tests/wall*: Do not fail if some of the locales is missing

 -- Tim Lunn <tim@feathertop.org>  Thu, 12 Sep 2019 21:56:55 +1000

gnome-desktop3 (3.33.91-1ubuntu1) eoan; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add 04_compute_average_color.patch: Compute the avergage color in
      gnome-desktop itself, not in unity to fix some races (LP #963140)
    - Add tweak_color_computation.patch, Patch from Gord, no patch header,
      no bug link.
    - Add git_revert_draw_background.patch
    - Add ubuntu_language.patch, Port relevant bits from gnome-control-center's
      52_region_language.patch, as required for gnome 3.8+ region panel
    - Add ubuntu_language_list_from_SUPPORTED.patch,
      Add API to get list of available languages from SUPPORTED file.
      To be used by gnome 3.8 region panel language installation.
    - Add gnomebg_hidpi_image.patch,
      gnome_bg_create_surface: always honor device scale, that fixes the
      wallpaper rendering in HiDPI config under ubiquity
    - debian/control.in: Build-Depend on language-pack-gnome-he for build tests
    - debian/libgnome-desktop-3-18.symbols:
      + Add symbols included in Ubuntu patches
    - Update Vcs fields and debian/gbp.conf for Ubuntu
  * debian/patches/*: Refresh.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 21 Aug 2019 10:29:10 +0100

gnome-desktop3 (3.33.91-1) experimental; urgency=medium

  * New upstream release
    - Avoid using g_type_class_add_private()

 -- Iain Lane <laney@debian.org>  Wed, 21 Aug 2019 09:44:48 +0100

gnome-desktop3 (3.33.4-1) experimental; urgency=medium

  * New upstream release
    - Support common_name in ISO 639
    - Display locale @modifiers properly
    - Fix detection of builtin display on NVIDIA
    - GnomeBGSlideShow filename property replaced with a file property
    - thumbnailer: Correctly cleanup stale thumbnailer directories
    - thumbnailer: fix incomplete TIOCSTI filtering
    - gnome-languages: Use uselocale to avoid threadsafety issues
    - Add default keyboard layout for Indonesia
  * debian/*: libgnome-desktop-3-17 → libgnome-desktop-3-18
  * Use-connector_type-from-mutter-to-fix-detection-of-builti.patch: Drop,
    upstream
  * debian/libgnome-desktop-3-18.symbols: Update with changes in this release
  * debian/copyright: Minor updates

 -- Iain Lane <laney@debian.org>  Tue, 30 Jul 2019 17:33:26 +0100

gnome-desktop3 (3.32.2-2ubuntu3) eoan; urgency=medium

  * debian/patches/git_locale_modifiers.patch:
    - File renamed due to upstreaming and updated with latest (and
      proposed) upstream commits.
    - Commenting of the language_name_get_codeset_details() function
      in gnome-languages.c dropped. It was added when fixing bug
      864618, and served a purpose at the time, but later code changes
      have made it redundant.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 19 Jul 2019 01:39:00 +0200

gnome-desktop3 (3.32.2-2ubuntu2) eoan; urgency=medium

  * Split ubuntu_language.patch into:
    - git_support_common_name_in_ISO_639.patch (committed upstream)
    - ubuntu_locale_modifiers.patch (make items in the UI represented
      by locale modifiers distinguishable from items without modifiers)
  * debian/rules:
    - Specify gettext domain for dh_translations.
  * d/p/ubuntu_locale_modifiers.patch, d/libgnome-desktop-3-17.symbols:
    - Support for translation of locale modifiers added.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sat, 13 Jul 2019 05:08:00 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog gnome-desktop3-data`.
